<p>Listado de heroes</p>

<button (click)="borrarHeroe()">Borrar</button>

<div class="mt-5" *ngIf="heroeBorrado; else noBorrado">
  Heroe borrado:
  <small>{{ heroeBorrado }} </small>
</div>

<ng-template #noBorrado>
  <div class="mt-5">No ha borrado nada</div>
</ng-template>

<ul class="mt-5">
  <li *ngFor="let heroe of heroes; let i = index">{{ i + 1 }} - {{ heroe }}</li>
</ul>
